#include <stdio.h>
#include <stdlib.h>

typedef struct{
  int d, u;
}Vaga;

typedef struct{
  int l, r, x;
}Pitanje;

int main(){
  int n,m;
  scanf("%d %d", &n, &m);
  Vaga *vage;
  vage = (Vaga*)malloc(n*sizeof(Vaga));
  Pitanje *pitanja;
  pitanja = (Pitanje *)malloc(m * sizeof(Pitanje));
  for(int i = 0; i < n; i ++){
    scanf("%d %d", &vage[i].d, &vage[i].u);
  }
  for(int i = 0; i < m; i ++){
    scanf("%d %d %d", &pitanja[i].l, &pitanja[i].r, &pitanja[i].x);
  }
  
  for(int i = 0; i < m; i ++){
    int brojac = 0;
    for(int e = pitanja[i].l - 1; e <= pitanja[i].r - 1; e ++){
      if(vage[e].d <= pitanja[i].x && vage[e].u >= pitanja[i].x){
        brojac ++;
      }
    }
    printf("%d\n", brojac);
  }
}